Summary:   a GUI client for NUT
Summary(ru_RU.UTF-8): Графический интерфейс для NUT
Name:      knutclient
Version:   0.9.3
Release:   alt1
License:   GPL
Vendor:    Daniel Prynych <Daniel.Prynych@alo.cz>
Packager:  Alexey Sidorov <alexsid@altlinux.ru>
Url:       http://www.alo.cz/knutclient
Group:     Monitoring
BuildRequires: gcc-c++ kdelibs-devel nut-devel libjpeg-devel
Requires:  nut
Prefix:    /usr
Source:    %name-%version.tar.gz

%description
Knutclient is a GUI interface for UPS system NUT (Network UPS Tools)

%description -l ru_RU.UTF-8
Knutclient - это графический клиент к системе работы с источниками
бесперебойного питания NUT (Network UPS Tools, Инструментарий сетевых
ИБП)

%prep
%setup

%make -f admin/Makefile.common cvs
%build

%configure \
	   --disable-debug \
	   --disable-rpath \
	   --enable-shared --disable-static \
%ifarch x86_64
   	   --enable-libsuffix=64 \
%endif
	   --enable-final
%make_build

%install
make install-strip DESTDIR=%buildroot

%find_lang --with-kde %name

%clean


%files -f %name.lang
%_bindir/knutclient
%_Kapplnk/*/*.desktop
%_Kapps/knutclient
%_iconsdir/*/*/apps/knutclient*.png

%changelog
* Thu Feb 22 2007 Alexey Sidorov <alexsid@altlinux.ru> 0.9.3-alt1
- New version (0.9.3)
- Remove patch knutclient-0.9.1-type-fix_x64.patch (fixed by upstream)

* Wed Feb 08 2007 Alexey Sidorov <alexsid@altlinux.ru> 0.9.1-alt3
- Added patch knutclient-0.9.1-type-fix_x64.patch for x86_64 build

* Fri Feb 02 2007 Alexey Sidorov <alexsid@altlinux.ru> 0.9.1-alt2
- Rebuild. New packager.

* Tue Dec 19 2006 Alexey Morozov <morozov@altlinux.org> 0.9.1-alt1

- New version (0.9.1). Spec is taken from the official package

* Fri Jan 21 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.8.5-alt1

- 0.8.5

* Fri Dec 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7.6-alt1

- 0.7.6

* Tue Dec 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.3-alt1

- 0.7.3

* Fri Oct 31 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.1-alt1

- First build for Sisyphus.

